
ts_temp=[];
ts_temp.bleach=0;
ts_temp.Nofactive=3;
ts_temp.t=    [0 0.5 0.6 4.8 5.55 11.93 13.34];
ts_temp.state=[0  1    0  1  0    1     -1 ];
ts_temp.pos=160.*[...
              32 32  32  32  32   32    32 ;...
              32 32  32  32  32   32    32 ;...
    zeros(1,length(ts_temp.state))];

trajs_test.ts=ts_temp;


aq_param.frame_size=64;% The frame size NxN.
aq_param.frame_N=20;% The number of frames.
aq_param.frame_rate=1;% frame/s
aq_param.frame_fill_factor=.9;% the fraction of the exposure time used to collect photons.
aq_param.pixel_size=160;
aq_param.bg_level=200;

psf_param.name='gauss';
psf_param.size=200;
psf_param.n=1.33;

dye_param.lambda=647;

seq_test=m_gen_trajs_to_seq(trajs_test,aq_param,psf_param,dye_param);


temp=zeros(1,length(seq_test));
for qwe=1:length(seq_test)
    temp(qwe)=sum(seq_test(qwe).frame(:));
end
figure
plot(temp)

disp(['1. frame: ',num2str(temp(1)),'/0.10 -> ',num2str(temp(1)/0.1)])
disp(['5. frame: ',num2str(temp(5)),'/0.10 -> ',num2str(temp(5)/0.1)])
disp(['6. frame: ',num2str(temp(6)),'/0.55 -> ',num2str(temp(6)/0.55)])
disp(['12. frame: ',num2str(temp(12)),'/0'])
disp(['13. frame: ',num2str(temp(13)),'/0.9 -> ',num2str(temp(13)/0.9)])
disp(['14. frame: ',num2str(temp(14)),'/0.34 -> ',num2str(temp(14)/0.34)])